Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Class CalendarBean

    java.lang.Object
      com.beasys.commerce.axiom.util.CalendarBean

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class CalendarBean

extends Object
implements Serializable

See Also
  Serialized Form

Field Summary
`static String` | `DATE_FORMAT` Deprecated The formatting string used to represent a date.

Constructor Summary
`CalendarBean()` Deprecated

Method Summary
`void` | `addMonthDisplayCalendar(int num)` Deprecated Change the month which is displayed.
`void` | `addYearDisplayCalendar(int num)` Deprecated Change the year which is displayed.
`int` | `getCompleteWeeksInMonth()` Deprecated Retrieve the number of complete weeks for the month of the current calendar displayed.
`int` | `getCurrentDate()` Deprecated Retrieve the day for the current date.
`String` | `getCurrentMonth()` Deprecated Retrieve the month for the current date.
`int` | `getCurrentMonthNumber()` Deprecated Retrieve the month number for the current date.
`int` | `getCurrentYear()` Deprecated Retrieve the year for the current date.
`String` | `getCurrentZoneId()` Deprecated
`long` | `getDateSeconds(String theYear, String theMonth, String theDate, String theHour, String theMinute, String aTimezone)` Deprecated
`String` | `getDayOfWeek(int dayNum)` Deprecated Retrieve the day of the week.
`int` | `getDaysInFirstWeek()` Deprecated Retrieve the number of the days in the first week for the month of the current calendar displayed.
`int` | `getDaysInLastWeek()` Deprecated Retrieve the number of the days in the last week for the month of the current calendar displayed.
`int` | `getDaysInMonth()` Deprecated Retrieve the number of days for the month of the current calendar displayed.
`int` | `getDisplayDate()` Deprecated Retrieve the day of the month for the current calendar displayed.
`String` | `getDisplayMonth()` Deprecated Retrieve the month for the current calendar displayed.
`int` | `getDisplayMonthNumber()` Deprecated Retrieve the month number for the current calendar displayed.
`int` | `getDisplayYear()` Deprecated Retrieve the year for the current calendar displayed.
`int` | `getStartDayOfWeekInMonth()` Deprecated Retrieve the day the month starts on for the month of the current calendar displayed.
`String` | `getTodaysDate()` Deprecated
`boolean` | `sameDay(int year, int month, int day)` Deprecated
`String` | `simpleFormatTest(String simpleDateFormat)` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

  Deprecated
  The formatting string used to represent a date.

  See Also
    Constants Summary

Constructor Detail

### CalendarBean

    public CalendarBean()

  Deprecated

Method Detail

### getCurrentMonth

    public String getCurrentMonth()

  Deprecated
  Retrieve the month for the current date.

  Returns
    String month name

### getCurrentMonthNumber

    public int getCurrentMonthNumber()

  Deprecated
  Retrieve the month number for the current date.

  Returns
    integer month number returned from Calendar class

### getCurrentDate

    public int getCurrentDate()

  Deprecated
  Retrieve the day for the current date.

  Returns
    integer the day of the month for the current date

### getCurrentYear

    public int getCurrentYear()

  Deprecated
  Retrieve the year for the current date.

  Returns
    integer the year for the current date

### getDisplayMonth

    public String getDisplayMonth()

  Deprecated
  Retrieve the month for the current calendar displayed.

  Returns
    String month name

### getDisplayMonthNumber

    public int getDisplayMonthNumber()

  Deprecated
  Retrieve the month number for the current calendar displayed.

  Returns
    integer month number from Calendar

### getDisplayDate

    public int getDisplayDate()

  Deprecated
  Retrieve the day of the month for the current calendar displayed.

  Returns
    integer day of month

### getDisplayYear

    public int getDisplayYear()

  Deprecated
  Retrieve the year for the current calendar displayed.

  Returns
    integer year

### getDaysInMonth

    public int getDaysInMonth()

  Deprecated
  Retrieve the number of days for the month of the current calendar displayed.

  Returns
    integer days in month

### getCompleteWeeksInMonth

    public int getCompleteWeeksInMonth()

  Deprecated
  Retrieve the number of complete weeks for the month of the current calendar displayed.

  Returns
    integer days in month

### getDaysInLastWeek

    public int getDaysInLastWeek()

  Deprecated
  Retrieve the number of the days in the last week for the month of the current calendar displayed.

  Returns
    integer days in last week

### getDaysInFirstWeek

    public int getDaysInFirstWeek()

  Deprecated
  Retrieve the number of the days in the first week for the month of the current calendar displayed.

  Returns
    integer days in first week

### getStartDayOfWeekInMonth

    public int getStartDayOfWeekInMonth()

  Deprecated
  Retrieve the day the month starts on for the month of the current calendar displayed.

  Returns
    integer days in last week

### getDayOfWeek

    public String getDayOfWeek(int dayNum)

  Deprecated
  Retrieve the day of the week.

  Returns
    string day of week (i.e. "Mon")

### addMonthDisplayCalendar

    public void addMonthDisplayCalendar(int num)

  Deprecated
  Change the month which is displayed.

  Parameters
    `integer` - number by which to increment or decrement the month.

### addYearDisplayCalendar

    public void addYearDisplayCalendar(int num)

  Deprecated
  Change the year which is displayed.

  Parameters
    `integer` - number by which to increment or decrement the year.

### getTodaysDate

    public String getTodaysDate()

  Deprecated

### getCurrentZoneId

    public String getCurrentZoneId()

  Deprecated

### getDateSeconds

    public long getDateSeconds(String theYear,
                               String theMonth,
                               String theDate,
                               String theHour,
                               String theMinute,
                               String aTimezone)

  Deprecated

### simpleFormatTest

    public String simpleFormatTest(String simpleDateFormat)

  Deprecated

### sameDay

    public boolean sameDay(int year,
                           int month,
                           int day)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.